<?php

    session_start();

    $admin_root = "..";
    $site_root = "../..";
    $pathes = [ "../../pages", "../../services" ];
    $title_tags = [ "header title", "person name" ];

    // ====== Load Functions Libraries ======
    require "$admin_root/repository/functions.php";
    require "$admin_root/repository/cms.php";
    require "$admin_root/repository/xml.php";
    $login = "$admin_root/login.php";
    require "$admin_root/modules/_security.php";

    $date_format = $_SESSION['ini_site_options']["date_format"];
?>

<!doctype html>
<html lang='<?php echo $_SESSION["admin_lang"]; ?>'>
	<head>
		<meta charset="UTF-8">
		<title>X.able CMS / Update website scripts</title>
		<link href='http://fonts.googleapis.com/css?family=Lato:100,300,400,700,900|Inconsolata:400,700|Audiowide&subset=latin,latin-ext' rel='stylesheet' type='text/css'>
        <link rel="stylesheet" type="text/css" href="<?php echo "$admin_root/_tools/_tools.css" ?>" />
        <style></style>
    </head>
    <body>
        <button class='close' onclick="self.close()">X</button>
        
<?php
    function updateScripts($admin_root, $site_root) {
    // ----------------------------------------
    // $admin_root = <string> admin folder PATH
    // $site_root = <string> site root PATH
    // ----------------------------------------
    // Delete folder with it's content
    // ----------------------------------------
        $flag = false;
        $pathes = [ "functions.php", "functions.js", "xml.php" ];
        foreach($pathes as $path) {
            $source = "$admin_root/repository/$path";
            $destination = "$site_root/script/$path";
            if(file_exists($source)) {
                if(file_exists($destination)) { unlink($destination); };
                copy($source, $destination);
                echo "Copied: $source -> $destination<br>\n";
            }
            else {
                echo "File not found: $source<br>\n";
            }
        };
    };
        
    echo "<h1>Update website scripts</h1><hr>\n";
    if(isset($_POST["action"]) && $_POST["action"] == "update") {
        updateScripts($admin_root, $site_root);
    }
    else {
        echo "<form method='post'>\n";
        echo "<p>Copy main scipts form admin \"repository\" folder to website \"script\" folder.</p>\n";
        echo "<button name='action' value='update' type='submit'>Submit</button>\n";
        echo "</form>\n";
    };
    
?> 
        
    </body>
</html>