<?php

    session_start();
    $admin_root = "..";
    $site_root = "../..";
    $pathes = [ "../../pages", "../../services" ];

    // ====== Load Functions Libraries ======

    require "$admin_root/repository/functions.php";
    require "$admin_root/repository/cms.php";
    require "$admin_root/repository/xml.php";
    $login = "$admin_root/login.php";
    require "$admin_root/modules/_security.php";

?>

<!doctype html>
<html lang='<?php echo $_SESSION["admin_lang"]; ?>'>
	<head>
		<meta charset="UTF-8">
		<title>X.able CMS / Tool name</title>
		<link href='http://fonts.googleapis.com/css?family=Lato:100,300,400,700,900|Inconsolata:400,700|Audiowide&subset=latin,latin-ext' rel='stylesheet' type='text/css'>
        <link rel="stylesheet" type="text/css" href="<?php echo "$admin_root/_tools/_tools.css" ?>" />
        <style></style>
    </head>
    <body>
        <button class='close' onclick="self.close()">X</button>
        
<?php

    //echo localize("existing-version");
    $path = "$site_root/xable.log";
    $content = array_map("trim", explode("\n", file_get_contents($path)));
    //echo "<textarea>".join("\n", $ini)."</textarea><br>\n";
    foreach(array_keys($content) as $i) {
        $text = $content[$i];
        if(strstr($text, ".xml")) {
            $text = str_replace(".xml", ".json", $text);
            $content[$i] = $text;
            echo "> $text<br>\n";
        }
    }
    //backupSave($path, $path, join("\n", $content), $backup_folder);

?> 
        
    </body>
</html>